Skip to content

Update private note

Request

Security
oauth2(Required scopes: supercase:update) or bearerAuth or apiKeyHeader
Path
supercaseIdstringrequired

The ID of the supercase

noteIdstringrequired

The ID of the note

Bodyapplication/jsonrequired
archivedboolean

Set to true if the note has been archived.

Default:false
categorystring(NoteCategory)

Specifies the nature of a Note

Default:"generic"
Enum:"generic""escalationCreateReason""escalationUpdateReason""escalationCancelReason"
contentstring

The content of the note.

importantboolean

Set to true if the note is important.

Default:false
pinnedboolean

Specify that this note should be sorted to the top of the list by default.

Default:false
sensitiveDataboolean

Indicates whether the note contains sensitive information.

Default:false
statusstring
Enum:"active""inactive"
taskableInstructionboolean

Set to true if the note is intended to be an instruction which creates a review task.

Default:false
PUT
/supercases/{supercaseId}/notes/{noteId}
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/supercases/{supercaseId}/notes/{noteId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "archived": false,
    "category": "generic",
    "content": "string",
    "important": false,
    "pinned": false,
    "sensitiveData": false,
    "status": "active",
    "taskableInstruction": false
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(A borrower, case, supercase or interaction note)

A borrower, case, supercase or interaction can have a note associated with it. Each note can only be associated with one of these objects.

Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "archived": false, "archivedAt": "2019-08-24T14:15:22Z", "archivedBy": {}, "caseId": "string", "category": "generic", "content": "string", "createdBy": {}, "deletedBy": {}, "edited": false, "important": false, "interactionId": "string", "object": "note", "oldContent": [], "pinned": false, "sensitiveData": false, "status": "active", "supercaseId": "string", "taskableInstruction": false, "type": "borrowerNote", "updatedBy": {} } }